/*
 * JBoss, Home of Professional Open Source
 * Copyright 2011 Red Hat Inc. and/or its affiliates and other contributors
 * as indicated by the @author tags. All rights reserved.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 */

package org.jboss.as.console.client.domain.groups;

import com.google.gwt.cell.client.AbstractCell;
import com.google.gwt.core.client.GWT;
import com.google.gwt.safehtml.client.SafeHtmlTemplates;
import com.google.gwt.safehtml.shared.SafeHtml;
import com.google.gwt.safehtml.shared.SafeHtmlBuilder;
import org.jboss.as.console.client.shared.properties.PropertyRecord;


public class PropertyCell extends AbstractCell<PropertyRecord> {

    interface Template extends SafeHtmlTemplates {
        @Template("<div class=\"{0}\"><b>{1}</b> {2}</div>")
        SafeHtml message(String cssClass, String from, String message);
    }

    private static final Template TEMPLATE = GWT.create(Template.class);

    @Override
    public void render(Context context, PropertyRecord value, SafeHtmlBuilder sb) {
        sb.append(TEMPLATE.message(
                "cell-record",
                value.getKey(),
                value.getValue()
        )
        );
    }
}
