/*
 * JBoss, Home of Professional Open Source
 * Copyright 2011 Red Hat Inc. and/or its affiliates and other contributors
 * as indicated by the @author tags. All rights reserved.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 */

package org.jboss.as.console.client.system;

import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.LayoutPanel;
import com.google.gwt.user.client.ui.Widget;
import com.gwtplatform.mvp.client.ViewImpl;
import org.jboss.ballroom.client.layout.RHSContentPanel;

/**
 * @author Heiko Braun
 * @date 2/4/11
 */
public class SystemApplicationViewImpl extends ViewImpl
    implements SystemApplicationPresenter.SystemAppView{

    @Override
    public Widget asWidget() {
        return new SystemAppCanvas().asWidget();
    }

    // dummy implementation
    class SystemAppCanvas
    {
        Widget asWidget() {
            LayoutPanel layout = new RHSContentPanel("System Overview");
            Label label = new Label("Quick glance at the system status. I.e. number of active service instances, etc.");
            layout.add(label);

            return layout;
        }
    }
}
